microsoft-foundry.rest.security.o-auth2-auth
Datasets
Get dataset credentials
POST
/datasets/{name}/versions/{version}/credentials
Retrieves the SAS credential to access the storage account associated with a dataset version.
Sorgu parametreleri
api-version
string
gerekli
The API version to use for this operation.
Yol parametreleri
name
string
gerekli
The name of the resource
version
string
gerekli
The specific version id of the DatasetVersion to operate on.
Yanıtlar
The request has succeeded.
Gövde
Content-Type: application/json
blobReference
BlobReference
gerekli
Blob reference details.
blobUri
string
gerekli
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
gerekli
ARM ID of the storage account to use.
credential
SasCredential
gerekli
SAS Credential definition
sasUri
string
gerekli
SAS uri
type
enum
gerekli
Type of credential
SAS
İstek
POST /datasets/{name}/versions/{version}/credentials HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json